variablelist.as.blocks
Prev | Miscellaneous | Next

## variablelist.as.blocks

variablelist.as.blocks — Format `variablelist`s lists as blocks?

## Synopsis

    <xsl:param name="variablelist.as.blocks" select="0"></xsl:param>

## Description

If non-zero, `variablelist`s will be formatted as blocks.

If you have long terms, proper list markup in the FO case may produce unattractive lists. By setting this parameter, you can force the stylesheets to produce block markup instead of proper lists.

You can override this setting with a processing instruction as the child of `variablelist`: `<?dbfo list-presentation="blocks"?>` or `<?dbfo list-presentation="list"?>`.

When using `list-presentation="list"`, you can also control the amount of space used for the `term`s with the `<?dbfo term-width=".25in"?>` processing instruction, the `termlength` attribute on `variablelist`, or allow the stylesheets to attempt to calculate the amount of space to leave based on the number of letters in the longest term.

      <variablelist>
            <?dbfo list-presentation="list"?>
            <?dbfo term-width="1.5in"?>
            <?dbhtml list-presentation="table"?>
            <?dbhtml term-width="1.5in"?>
            <varlistentry>
              <term>list</term>
              <listitem>
                    <para>
                      Formatted as a list even if variablelist.as.blocks is set to 1.
                    </para>
              </listitem>
            </varlistentry>
      </variablelist>

Prev | Up | Next
segmentedlist.as.table | Home | blockquote.properties